package cd.casic.ci.common.pipeline.pojo.element.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element.atom
 * @Project：ops-pro
 * @name：ElementBatchCheckParam
 * @Date：2025/03/26 17:11
 * @Filename：ElementBatchCheckParam
 * @description：Todo
 */
@Data
public class ElementBatchCheckParam {
    @Schema(description = "项目ID", required = true)
    private String projectId;
    @Schema(description = "流水线ID", required = true)
    private String pipelineId;
    @Schema(description = "用户ID", required = true)
    private String userId;
    @Schema(description = "上下文映射", required = true)
    private Map<String, String> contextMap;
    @Schema(description = "是否为模板", required = true)
    private boolean isTemplate;
    @Schema(description = "OAuth用户", required = false)
    private String oauthUser;
}
