package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：CreateCallBackResult
 * @Date：2025/03/24 15:35
 * @Filename：CreateCallBackResult
 * @description：Todo
 */
@Data
@Schema(title = "项目的流水线回调创建结果")
public class CreateCallBackResult {
    @Schema(title = "成功事件列表", required = false)
    private List<String> successEvents;
    @Schema(title = "失败事件列表", required = false)
    private Map<String, String> failureEvents;
}
