package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：TaskComponentCommonSetting
 * @Date：2025/03/24 20:37
 * @Filename：TaskComponentCommonSetting
 * @description：Todo
 */
@Data
@Schema(title = "流水线task组件公共配置信息")
public class TaskComponentCommonSetting {
    @Schema(title = "组件类型", required = true)
    private String componentType;
    @Schema(title = "组件大小最大值（单位：字符）", required = true)
    private int maxSize;
}
