package cd.casic.ci.process.process.dataObject.stage;

import cd.casic.ci.process.process.dataObject.task.PipTask;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;
@Data
public class PipStage {
    //@ApiProperty(name = "stageId",desc="id")
    @TableId(type =  IdType.ASSIGN_ID)
    private String stageId;

    //@ApiProperty(name = "stageName",desc="名称")
    private String stageName;

    //@ApiProperty(name = "createTime",desc="创建时间")
    private LocalDateTime createTime;

    //@ApiProperty(name="pipelineId",desc="流水线id")
    private String pipelineId;

    //@ApiProperty(name="stageSort",desc="阶段顺序")
    private Integer stageSort;

    //@ApiProperty(name = "parentId",desc="主阶段")
    private String parentId;

    //@ApiProperty(name = "code",desc="是否是源码")
    private Boolean code = false;

    //@ApiProperty(name = "taskValues",desc="阶段任务")
    @TableField(exist = false)
    private List<PipTask> taskValues;

    //@ApiProperty(name = "stageList",desc="阶段")
    @TableField(exist = false)
    private List<PipStage> stageList;
    // 执行实例id
    @TableField(exist = false)
    private String instanceId;
    private LocalDateTime updateTime;
    private Long createUserId;
    private Long updateUserId;
}
