package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.common.visible.DeptInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.List;

@Data
@Schema(title = "插件市场-插件可见范围请求报文体")
public class AtomVisibleDeptReq {
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "机构列表", required = true)
    private List<DeptInfo> deptInfos;
}