package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件市场插件信息")
public class MarketAtomItem {
    @Schema(title = "插件名称")
    private String atomName;
    @Schema(title = "插件标识")
    private String atomCode;
    @Schema(title = "logo链接")
    private String logoUrl;
    @Schema(title = "发布者")
    private String publisher;
    @Schema(title = "下载量")
    private Integer downloads;
    @Schema(title = "评分")
    private Double score;
    @Schema(title = "简介")
    private String summary;
    @Schema(title = "是否可安装标识")
    private Boolean flag;
}