package cd.casic.pipeline.store.pojo.common.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "分类信息")
public class Classify {
    @Schema(title = "分类ID", required = true)
    private String id;
    @Schema(title = "分类编码", required = true)
    private String classifyCode;
    @Schema(title = "分类名称", required = true)
    private String classifyName;
    @Schema(title = "类别 ATOM:插件 TEMPLATE:模板 IMAGE:镜像 IDE_ATOM:IDE插件", required = true)
    private String classifyType;
    @Schema(title = "权重（数值越大代表权重越高）", required = false)
    private Integer weight;
    @Schema(title = "创建日期")
    private Long createTime = 0L;
    @Schema(title = "更新日期")
    private Long updateTime = 0L;
}