package cd.casic.pipeline.store.pojo.image.response;

import cd.casic.ci.common.pipeline.type.docker.ImageType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "JOB编辑页镜像选项信息")
public class JobImageItem {
    @Schema(title = "镜像代码", required = true)
    private String code;
    
    @Schema(title = "镜像名称", required = true)
    private String name;
    
    @Schema(title = "镜像类型", required = true)
    private ImageType imageType;
    
    @Schema(title = "镜像完整地址", required = true)
    private String value;
}