package cd.casic.ci.common.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：ModelUpdate
 * @Date：2025/03/25 17:40
 * @Filename：ModelUpdate
 * @description：Todo
 */
@Data
@Schema(title = "流水线更新信息")
public class ModelUpdate {

    @Schema(title = "项目id", required = true)
    private String projectId;

    @Schema(title = "流水线id", required = true)
    private String pipelineId;

    @Schema(title = "名称", required = true)
    private String name;

    @Schema(title = "更新人", required = true)
    private String updateUserId;

    @Schema(title = "更新结果信息", required = false)
    private String updateResultMessage;

    @Schema(title = "更新结果", required = true)
    private boolean updateResult;
}
