package cd.casic.ci.common.pipeline.constant;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.constant
 * @Project：ops-pro
 * @name：CommonConstants
 * @Date：2025/03/26 18:02
 * @Filename：CommonConstants
 * @description：Todo
 */
public class CommonConstants {
    public static final String BCI_CODE_PREFIX = "BCI_CODE_";
    public static final String DEVOPS = "DevOps";
    public static final int NUM_ONE = 1;
    public static final int NUM_TWO = 2;
    public static final int NUM_THREE = 3;
    public static final int NUM_FOUR = 4;
    public static final int NUM_FIVE = 5;
    public static final int NUM_SIX = 6;
    public static final int NUM_SEVEN = 7;
    public static final int NUM_EIGHT = 8;
    public static final int NUM_NINE = 9;
    public static final String INIT_VERSION = "1.0.0"; // 初始化版本
    public static final String BEGIN = "begin"; // 开始
    public static final String EDIT = "edit"; // 提交信息
    public static final String COMMIT = "commit"; // 提交
    public static final String BUILD = "build"; // 构建
    public static final String CHECK = "check"; // 验证
    public static final String TEST = "test"; // 测试
    public static final String CODECC = "codecc"; // 代码检查
    public static final String APPROVE = "approve"; // 审核
    public static final String END = "end"; // 结束
    public static final String SUCCESS = "success"; // 成功
    public static final String UNDO = "undo"; // 未执行
    public static final String DOING = "doing"; // 执行中
    public static final String FAIL = "fail"; // 失败
    public static final String ONLINE = "online"; // 上线
    public static final String TEST_ENV_PREPARE = "testEnvPrepare"; // 准备测试环境
    public static final String ING = "ing"; // 中
    public static final String LATEST = "latest"; // 最新
    public static final String DEVELOP = "develop"; // 开发
    public static final String DEPLOY = "deploy"; // 部署
    public static final String SECURITY = "security"; // 安全
    public static final String NORMAL = "normal"; // 正常
    public static final String EXCEPTION = "exception"; // 异常
    public static final String REQUIRED = "required"; // 必选
    public static final String MIN_LENGTH = "minLength"; // 最小长度
    public static final String MAX_LENGTH = "maxLength"; // 最大长度
    public static final String DEFAULT = "default"; // 默认
    public static final String JAVA = "java"; // java
    public static final String PYTHON = "python"; // python
    public static final String NODEJS = "nodejs"; // nodejs
    public static final String GOLANG = "golang"; // golang
    public static final String JS = "js"; // js
    public static final String PATTERN_STYLE = "patternStyle"; // 正则表达式规则
    public static final String MESSAGE = "message"; // 提示信息
    public static final String STATIC = "static"; // 静态资源
    public static final String NAME = "name"; // 名称
    public static final String FAIL_NUM = "failNum"; // 失败数量
    public static final String VERSION = "version"; // 版本号
    public static final String TYPE = "type"; // 类型
    public static final String OUTPUT_DESC = "description"; // 插件输出字段描述
    public static final String COMPONENT = "component"; // 组件
    public static final String PIPELINE_URL = "pipelineUrl"; // 流水线链接
    public static final String ARTIFACT = "artifact"; // 构件
    public static final String REPORT = "report"; // 报告
    public static final String VALUE = "value"; // 值
    public static final String MULTIPLE_SELECTOR = "multiple"; // 多选
    public static final String SINGLE_SELECTOR = "single"; // 单选
    public static final String OPTIONS = "options"; // 可选项
    public static final String LABEL = "label"; // 标签
    public static final String NO_LABEL = "noLabel"; // 无标题
    public static final String URL = "url"; // url链接
    public static final String PATH = "path"; // 路径
    public static final String ARTIFACTORY_TYPE = "artifactoryType"; // 归档仓库类型
    public static final String REPORT_TYPE = "reportType"; // 报告类型
    public static final String DATA = "data"; // 数据
    public static final String STRING = "string"; // 字符串
    public static final String LATEST_MODIFIER = "latestModifier"; // 最近修改人
    public static final String IMPORTER = "importer"; // 导入人
    public static final String USAGE = "usage"; // 用途
    public static final String ALIAS = "alias"; // 别名
    public static final String LATEST_UPDATE_TIME = "latestUpdateTime"; // 最近修改时间
    public static final String LATEST_EXECUTOR = "latestExecutor"; // 最近执行人
    public static final String LATEST_EXECUTE_TIME = "latestExecuteTime"; // 最近执行时间
    public static final String LATEST_EXECUTE_PIPELINE = "latestExecutePipeline"; // 最近执行流水线
    public static final String DANG = "dang"; // 当
    public static final String AND = "and"; // 和
    public static final String OR = "or"; // 或
    public static final String TIMETOSELECT = "timetoSelect"; // 时必选
    public static final String MASTER = "master"; // 主干
    public static final String SYSTEM = "system"; // 系统
    public static final String IN_READY_TEST = "IN_READY_TEST"; // 正在测试中
    public static final String BUILD_RUNNING = "buildRunning"; // 运行中
    public static final String BUILD_QUEUE = "buildQueue"; // 构建排队中
    public static final String BUILD_REVIEWING = "buildReviewing"; // 构建待审核
    public static final String BUILD_STAGE_SUCCESS = "buildStageSuccess"; // 构建阶段性完成
    public static final String BUILD_COMPLETED = "buildCompleted"; // 构建完成
    public static final String BUILD_CANCELED = "buildCanceled"; // 构建已取消
    public static final String BUILD_FAILED = "buildFailed"; // 构建失败
    public static final String ID = "id"; // id
    public static final String STATUS = "status"; // 状态
    public static final String EXECUTE_COUNT = "executeCount";
    public static final String LOCALE_LANGUAGE = "BK_CI_LOCALE_LANGUAGE"; // locale国际化语言信息
    public static final String DEFAULT_LOCALE_LANGUAGE = "zh_CN"; // 默认语言信息
    public static final String REQUEST_CHANNEL = "BK_CI_REQUEST_CHANNEL"; // 请求渠道
    public static final String API_PERMISSION = "BK_CI_API_PERMISSION"; // 请求API权限
    public static final String REQUEST_IP = "X-Forwarded-For"; // 请求IP
    public static final String BK_CREATE = "bkCreate"; // 创建
    public static final String BK_REVISE = "bkRevise"; // 修改
    public static final String FAIL_MSG = "failMsg"; // 失败信息

    public static final String KEY_START_TIME = "startTime";
    public static final String KEY_END_TIME = "endTime";
    public static final String KEY_CHANNEL = "channel";
    public static final String HIDDEN_SYMBOL = "******";
    public static final String KEY_DEFAULT = "default";
    public static final String KEY_INPUT = "vuex-input";
    public static final String KEY_TEXTAREA = "vuex-textarea";
    public static final String KEY_CODE_EDITOR = "atom-ace-editor";
    public static final String KEY_OS = "os";
    public static final String KEY_SUMMARY = "summary";
    public static final String KEY_DOCSLINK = "docsLink";
    public static final String KEY_DESCRIPTION = "description";
    public static final String KEY_WEIGHT = "weight";
    public static final String KEY_ALL = "all";
    public static final String API_ACCESS_TOKEN_PROPERTY = "access_token";
    public static final String TEMPLATE_ACROSS_INFO_ID = "devops_template_across_info_id";
    public static final String KEY_OS_NAME = "osName";
    public static final String KEY_OS_ARCH = "osArch";
    public static final String KEY_INVALID_OS_INFO = "invalidOsInfo";
    public static final String KEY_VALID_OS_NAME_FLAG = "validOsNameFlag";
    public static final String KEY_VALID_OS_ARCH_FLAG = "validOsArchFlag";
    public static final String KEY_SCRIPT = "script";
    public static final String KEY_COMMIT_ID = "commitId";
    public static final String KEY_BRANCH = "branch";
    public static final String KEY_REPOSITORY_HASH_ID = "repositoryHashId";
    public static final String KEY_REPOSITORY_PATH = "repositoryPath";
    public static final String KEY_VERSION = "version";
    public static final String KEY_VERSION_NAME = "versionName";
    public static final String KEY_UPDATED_TIME = "updatedTime";
    public static final String KEY_INSTANCE_ERROR_INFO = "instanceErrorInfo";
    public static final String KEY_DEFAULT_LOCALE_LANGUAGE = "defaultLocaleLanguage";
    public static final String KEY_PROJECT_ID = "projectId";
    public static final String KEY_PIPELINE_ID = "pipelineId";
    public static final String KEY_PIPELINE_NUM = "pipelineNum";
    public static final String KEY_ARCHIVE = "archive";
    public static final String KEY_BRANCH_TEST_FLAG = "branchTestFlag";
    public static final String KEY_TASK_ATOM = "taskAtom";
    public static final String KEY_ELEMENT_ENABLE = "elementEnable";
    public static final String KEY_SHA_CONTENT = "shaContent";
    public static final String KEY_FILE_SHA_CONTENT = "fileShaContent";

    public static final String BK_BUILD_ENV_START_FAILED = "bkBuildEnvStartFailed"; // 构建环境启动失败
    public static final String BK_START_PULL_IMAGE = "bkStartPullImage"; // 开始拉取镜像，镜像名称：
    public static final String BK_PULLING_IMAGE = "bkPullingImage"; // 正在拉取镜像,第{0}层，进度：{1}
    public static final String BK_PUSH_IMAGE = "bkPushImage"; // 正在推送镜像,第{0}层，进度：{1}
    public static final String BK_HUMAN_SERVICE = "bkHumanService"; // 人工服务
}
