package cd.casic.ci.log.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname QueryLogLineNum
 * @Date 2025/3/19 17:47
 */
@Data
@Schema(title = "日志行号查询模型")
@AllArgsConstructor
@NoArgsConstructor
public class QueryLogLineNum {
    @Schema(description = "构建ID", required = true)
    String buildId;
    @Schema(description = "是否结束", required = true)
    boolean finished;
    @Schema(description = "日志存储状态", required = false)
    long lastLineNum;
}
