package cd.casic.ci.process.api.process.pojo.template;

import lombok.AllArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateType
 * @Date：2025/03/24 19:31
 * @Filename：TemplateType
 * @description：Todo
 */
@AllArgsConstructor
public enum TemplateType {
    CUSTOMIZE("customize"), // 自定义模板
    CONSTRAINT("constraint"), // 来自商店
    PUBLIC("public"); // 公共模版

    private final String value;

    public static String getTemplateTypeDesc(String type) {
        return switch (type) {
            case "CONSTRAINT" -> CONSTRAINT.value;
            case "PUBLIC" -> PUBLIC.value;
            default -> CUSTOMIZE.value;
        };
    }
}
