package cd.casic.ci.process.process.dataObject.task;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import org.json.JSONObject;

import java.time.LocalDateTime;

@Data
public class PipTask {
    //@ApiProperty(name="taskId",desc="配置id")
    @TableId(type =  IdType.ASSIGN_ID)
    private String taskId;

    //@ApiProperty(name="createTime",desc="创建时间")
    private LocalDateTime createTime;

    //@ApiProperty(name="taskType",desc= "类型1-10:源码,10-20:测试,20-30:构建,30-40:部署,40-50:代码扫描,50-60:推送制品")
    private String taskType;

    //@ApiProperty(name="taskSort",desc="顺序")
    private int taskSort;

    //@ApiProperty(name="taskName",desc="顺序")
    private String taskName;

    //@ApiProperty(name="pipeline",desc="流水线id",eg="@selectOne")
    private String pipelineId;

    //@ApiProperty(name="postprocessId",desc="后置处理id",eg="@selectOne")
    private String postprocessId;;

    //@ApiProperty(name="stageId",desc="阶段",eg="@selectOne")
    private String stageId;
    // task节点配置
    private JSONObject taskProperties;

    // 执行实例id
    private String instanceId;
    private LocalDateTime updateTime;
    private Long updateUserId;
    private Long createUserId;
}
