package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Tag(name = "USER_ATOM_CLASSIFY", description = "插件-用户分类")
@RestController
@RequestMapping("/user/market/atom/classify")
public interface UserAtomClassifyResource {

    @Operation(summary = "获取插件分类信息")
    @GetMapping("/")
    CommonResult<Object> getAtomClassify();
}