package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件插件市场-插件插件特性信息请求报文体")
public class AtomFeatureRequest {
    @Schema(title = "插件插件代码", required = true)
    private String atomCode;
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
    @Schema(title = "删除标识", required = false)
    private Boolean deleteFlag;
    @Schema(title = "yaml可用标识 true：是，false：否")
    private Boolean yamlFlag;
    @Schema(title = "质量红线可用标识 true：是，false：否")
    private Boolean qualityFlag;
    @Schema(title = "是否认证标识 true：是，false：否")
    private Boolean certificationFlag;
}