package cd.casic.pipeline.store.pojo.atom.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AtomTypeEnum {
    SELF_DEVELOPED(0), // 自研
    THIRD_PARTY(1); // 第三方

    private final int type;

    @Override
    public String toString() {
        return String.valueOf(type);
    }

    public static String getAtomType(int type) {
        switch (type) {
            case 0:
                return SELF_DEVELOPED.name();
            default:
                return THIRD_PARTY.name();
        }
    }
}